Loading...
Searching...
No Matches
psdriver.h File Reference
`#include <stdio.h>`
`#include <grass/config.h>`
`#include "driver.h"`
Include dependency graph for psdriver.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | ps_state

## Macros

#define | FILE_NAME "map.ps"

## Functions

void | output (const char *,...)
void | init_color_table (void)
int | lookup_color (int, int, int)
const struct driver * | PS_Driver (void)
void | PS_Box (double, double, double, double)
void | PS_Client_Close (void)
void | PS_Erase (void)
void | PS_Graph_close (void)
int | PS_Graph_set (void)
const char * | PS_Graph_get_file (void)
| Get render file.
void | PS_Line_width (double)
void | PS_Set_window (double, double, double, double)
void | PS_Color (int, int, int)
void | PS_Bitmap (int, int, int, const unsigned char *)
void | PS_begin_raster (int, int[2][2], double[2][2])
int | PS_raster (int, int, const unsigned char *, const unsigned char *, const unsigned char *, const unsigned char *)
void | PS_end_raster (void)
void | PS_Begin (void)
void | PS_Move (double, double)
void | PS_Cont (double, double)
void | PS_Close (void)
void | PS_Stroke (void)
void | PS_Fill (void)
void | PS_Point (double, double)

## Variables

struct ps_state | ps

## Macro Definition Documentation

## FILE_NAME

#define FILE_NAME "map.ps"

Definition at line 9 of file psdriver.h.

## Function Documentation

## init_color_table()

void init_color_table | ( | void |  | ) |

extern

## lookup_color()

int lookup_color | ( | int | ,
|  | int | ,
|  | int | )

extern

## output()

void output | ( | const char * | fmt,
|  |  | ... )

extern

Definition at line 233 of file psdriver/graph_set.c.

References ps.

Referenced by cairo_write_bmp(), cairo_write_ppm(), G_check_input_output_name(), PS_Begin(), PS_begin_raster(), PS_Bitmap(), PS_Box(), PS_Close(), PS_Color(), PS_Cont(), PS_end_raster(), PS_Erase(), PS_Fill(), PS_Graph_close(), PS_Line_width(), PS_Move(), PS_Point(), PS_raster(), PS_Set_window(), PS_Stroke(), write_bmp(), write_pgm(), write_png(), write_ppm(), and write_setup().

## PS_Begin()

void PS_Begin | ( | void |  | ) |

extern

Definition at line 16 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_begin_raster()

void PS_begin_raster | ( | int | mask,
|  | int | src[2][2],
|  | double | dst[2][2] )

extern

Definition at line 7 of file psdriver/raster.c.

References output(), and ps.

Referenced by PS_Driver().

## PS_Bitmap()

void PS_Bitmap | ( | int | ncols,
|  | int | nrows,
|  | int | threshold,
|  | const unsigned char * | buf )

extern

Definition at line 3 of file psdriver/draw_bitmap.c.

References cur_x, cur_y, and output().

Referenced by PS_Driver().

## PS_Box()

void PS_Box | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )

extern

Definition at line 3 of file psdriver/box.c.

References output().

Referenced by PS_Driver().

## PS_Client_Close()

void PS_Client_Close | ( | void |  | ) |

extern

## PS_Close()

void PS_Close | ( | void |  | ) |

extern

Definition at line 31 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_Color()

void PS_Color | ( | int | r,
|  | int | g,
|  | int | b )

extern

Definition at line 4 of file psdriver/color.c.

References b, g, output(), ps, and r.

Referenced by PS_Driver().

## PS_Cont()

void PS_Cont | ( | double | x,
|  | double | y )

extern

Definition at line 26 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_Driver()

const struct driver * PS_Driver | ( | void |  | ) |

extern

Definition at line 21 of file psdriver/driver.c.

References driver::Begin, driver::Begin_raster, driver::Bitmap, driver::Box, driver::Close, driver::Color, driver::Cont, driver::End_raster, driver::Erase, driver::Fill, driver::Font_info, driver::Font_list, driver::Graph_close, driver::Graph_get_file, driver::Graph_set, driver::Line_width, driver::Move, driver::name, NULL, driver::Point, PS_Begin(), PS_begin_raster(), PS_Bitmap(), PS_Box(), PS_Close(), PS_Color(), PS_Cont(), PS_end_raster(), PS_Erase(), PS_Fill(), PS_Graph_close(), PS_Graph_get_file(), PS_Graph_set(), PS_Line_width(), PS_Move(), PS_Point(), PS_raster(), PS_Set_window(), PS_Stroke(), driver::Raster, driver::Set_font, driver::Set_window, driver::Stroke, driver::Text, and driver::Text_box.

## PS_end_raster()

void PS_end_raster | ( | void |  | ) |

extern

Definition at line 59 of file psdriver/raster.c.

References output().

Referenced by PS_Driver().

## PS_Erase()

void PS_Erase | ( | void |  | ) |

extern

Definition at line 3 of file psdriver/erase.c.

References output(), and ps.

Referenced by PS_Driver().

## PS_Fill()

void PS_Fill | ( | void |  | ) |

extern

Definition at line 41 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_Graph_close()

void PS_Graph_close | ( | void |  | ) |

extern

Definition at line 9 of file psdriver/graph_close.c.

References G_rename_file(), output(), and ps.

Referenced by PS_Driver().

## PS_Graph_get_file()

const char * PS_Graph_get_file | ( | void |  | ) |

extern

Get render file.

Returns
  file name

Definition at line 228 of file psdriver/graph_set.c.

References ps.

Referenced by PS_Driver().

## PS_Graph_set()

int PS_Graph_set | ( | void |  | ) |

extern

Definition at line 170 of file psdriver/graph_set.c.

References FILE_NAME, G_fatal_error(), G_rename_file(), G_strcasecmp(), G_tempfile(), G_verbose_message(), ps, screen_height, screen_width, and write_setup().

Referenced by PS_Driver().

## PS_Line_width()

void PS_Line_width | ( | double | width | ) |

extern

Definition at line 3 of file psdriver/line_width.c.

References output().

Referenced by PS_Driver().

## PS_Move()

void PS_Move | ( | double | x,
|  | double | y )

extern

Definition at line 21 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_Point()

void PS_Point | ( | double | x,
|  | double | y )

extern

Definition at line 46 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_raster()

int PS_raster | ( | int | n,
|  | int | row,
|  | const unsigned char * | red,
|  | const unsigned char * | grn,
|  | const unsigned char * | blu,
|  | const unsigned char * | nul )

extern

Definition at line 29 of file psdriver/raster.c.

References output(), and ps.

Referenced by PS_Driver().

## PS_Set_window()

void PS_Set_window | ( | double | t,
|  | double | b,
|  | double | l,
|  | double | r )

extern

Definition at line 21 of file psdriver/set_window.c.

References b, l, output(), ps, r, and t.

Referenced by PS_Driver().

## PS_Stroke()

void PS_Stroke | ( | void |  | ) |

extern

Definition at line 36 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## Variable Documentation

## ps

struct ps_state ps

extern

Definition at line 26 of file psdriver/graph_set.c.

Referenced by cminv(), csolv(), gs_get_prev_surface(), gs_init_surf(), minv(), output(), PS_begin_raster(), PS_Color(), PS_Erase(), PS_Graph_close(), PS_Graph_get_file(), PS_Graph_set(), PS_raster(), PS_Set_window(), smgen(), solv(), and write_setup().